Package ec.multiobjective

# Class MultiObjectiveStatistics

java.lang.Object
ec.Statistics
ec.simple.SimpleStatistics
ec.multiobjective.MultiObjectiveStatistics

All Implemented Interfaces:
  `Setup`, `Singleton`, `SteadyStateStatisticsForm`, `Serializable`

public class MultiObjectiveStatistics extends SimpleStatistics

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `doHypervolume`
  `int`
  `frontLog`
  The pareto front log
  `static final String`
  `P_DO_HYPERVOLUME`
  `static final String`
  `P_PARETO_FRONT_FILE`
  front file parameter
  `static final String`
  `P_REFERENCE_POINT`
  `static final String`
  `P_SILENT_FRONT_FILE`
  `boolean`
  `silentFront`

  ### Fields inherited from class ec.simple.SimpleStatistics

  `best_of_run, compress, doDescription, doFinal, doGeneration, doMessage, doPerGenerationDescription, P_COMPRESS, P_DO_DESCRIPTION, P_DO_FINAL, P_DO_GENERATION, P_DO_MESSAGE, P_DO_PER_GENERATION_DESCRIPTION, P_STATISTICS_FILE, statisticslog`

  ### Fields inherited from class ec.Statistics

  `children, P_CHILD, P_MUZZLE, P_NUMCHILDREN, P_SILENT, P_SILENT_FILE, P_SILENT_PRINT, silentFile, silentPrint`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiObjectiveStatistics()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `finalStatistics(EvolutionState state, int result)`
  Logs the best individual of the run.
  `void`
  `postEvaluationStatistics(EvolutionState state)`
  GENERATIONAL: Called immediately after evaluation occurs.
  `void`
  `setup(EvolutionState state, Parameter base)`
  Sets up the object by reading it from the parameters stored in state, built off of the parameter base base.

  ### Methods inherited from class ec.simple.SimpleStatistics

  `bypassFinalStatistics, bypassPostEvaluationStatistics, getBestSoFar, postInitializationStatistics`

  ### Methods inherited from class ec.Statistics

  `enteringInitialPopulationStatistics, enteringSteadyStateStatistics, generationBoundaryStatistics, individualsBredStatistics, individualsEvaluatedStatistics, postBreedingStatistics, postCheckpointStatistics, postPostBreedingExchangeStatistics, postPreBreedingExchangeStatistics, preBreedingStatistics, preCheckpointStatistics, preEvaluationStatistics, preInitializationStatistics, prePostBreedingExchangeStatistics, prePreBreedingExchangeStatistics`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ec.steadystate.SteadyStateStatisticsForm

  `enteringInitialPopulationStatistics, enteringSteadyStateStatistics, generationBoundaryStatistics, individualsBredStatistics, individualsEvaluatedStatistics, postCheckpointStatistics, postPostBreedingExchangeStatistics, postPreBreedingExchangeStatistics, preCheckpointStatistics, prePostBreedingExchangeStatistics, prePreBreedingExchangeStatistics`

- ## Field Details

  - ### P_PARETO_FRONT_FILE

    public static final String P_PARETO_FRONT_FILE
    front file parameter
    See Also:
      - Constant Field Values

  - ### P_SILENT_FRONT_FILE

    public static final String P_SILENT_FRONT_FILE
    See Also:
      - Constant Field Values

  - ### P_DO_HYPERVOLUME

    public static final String P_DO_HYPERVOLUME
    See Also:
      - Constant Field Values

  - ### P_REFERENCE_POINT

    public static final String P_REFERENCE_POINT
    See Also:
      - Constant Field Values

  - ### silentFront

    public boolean silentFront

  - ### doHypervolume

    public boolean doHypervolume

  - ### frontLog

    public int frontLog
    The pareto front log

- ## Constructor Details

  - ### MultiObjectiveStatistics

    public MultiObjectiveStatistics()

- ## Method Details

  - ### setup

    public void setup(EvolutionState state, Parameter base)
    Description copied from interface: `Setup`
    Sets up the object by reading it from the parameters stored in state, built off of the parameter base base. If an ancestor implements this method, be sure to call super.setup(state,base); before you do anything else.
    Specified by:
      `setup` in interface `Setup`
    Overrides:
      `setup` in class `SimpleStatistics`

  - ### postEvaluationStatistics

    public void postEvaluationStatistics(EvolutionState state)
    Description copied from class: `Statistics`
    GENERATIONAL: Called immediately after evaluation occurs.
    Overrides:
      `postEvaluationStatistics` in class `SimpleStatistics`

  - ### finalStatistics

    public void finalStatistics(EvolutionState state, int result)
    Logs the best individual of the run.
    Specified by:
      `finalStatistics` in interface `SteadyStateStatisticsForm`
    Overrides:
      `finalStatistics` in class `SimpleStatistics`